

* {
  font-size: 25px;
  margin: 0;
  padding: 0;
  color: white;
  box-sizing: border-box;
  font-family: "oswald";
}


body {
  background-image: url("./images/bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
}
main {
  min-height: 100vh;
  height: 100%;
  background-image: -moz-linear-gradient(
    50deg,
    rgba(39, 43, 55, 1) 45%,
    rgba(39, 43, 55, 0.8) 80%,
    rgba(39, 43, 55, 0.4) 100%
  );
  background-image: webkit-linear-gradient(
    50deg,
    rgba(39, 43, 55, 1) 45%,
    rgba(39, 43, 55, 0.8) 80%,
    rgba(39, 43, 55, 0.4) 100%
  );
  background-image: linear-gradient(
    50deg,
    rgba(39, 43, 55, 1) 45%,
    rgba(39, 43, 55, 0.8) 80%,
    rgba(39, 43, 55, 0.4) 100%
  );
  background-repeat: no-repeat;
  background-attachment: fixed;
}
a {
  text-decoration: none;
  font-size: 0.7rem;
  transition-duration: 300ms;
}
.navLinks:hover{
  color: white;
  font-size: 1rem;
}
nav {
  padding-top: 0.5%;
  padding-left: 3%;
  width: 100%;
}
#logo{
  font-size: 1rem;
}
#logo::before {
  margin-right: 1%;
  content: "";
  display: inline-block;
  width: 1rem;
  height: 1rem;
  border-radius: 50%;
  background-color: #1c90f5;
}

nav span a {
  margin-left: 7%;
  color: #7f8487;
}
.blueFont {
  color: #1c90f5;
}

.greyFont {
  color: #7f8487;
  font-size: 0.7rem;
}
h1 {
  font-size: 1.8rem;
}
#description {
  margin-left: 3%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-direction: column;
  padding-top: 2%;
  width: 40%;
  min-height: 5rem;
}
form {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  margin-top: 1%;
  margin-left: 3%;
  min-height: 290px;
  height: 45%;
  width: 35%;
}
form div{
  display: flex;
  justify-content: space-between;
  height: fit-content;
  width: 100%;
}
.halfInput, .fullInput {
  font-size: 0.2rem;
  border: #323544 solid;
  background-color: #323544;
  border-radius: 20px;
  padding: 1% 4%;
  width: 49%;
  height: fit-content;
  transition-duration: 200ms;
}
label:focus-within{
  border: #1c90f5 solid;
}
label:focus-within span{
  color:#1c90f5 ;
}
.fullInput{
  width: 100%;
}
.halfInput span, .fullInput span {
  font-size: 0.55rem;
  color: #7f8487;
}
input {
  margin-top: 1%;
  width: 80%;
  border: none;
  font-size: 0.6rem;
  background-color: #323544;
  caret-color: #1c90f5;
}
input:focus {
  outline: none;
}
.halfInput img, .fullInput img {
  float: right;
  width: 18%;
}

.fullInput img {
  width: 8%;
}

#sendButtons{
  margin-top: 2%;
}
button{
  cursor: pointer;
  font-size: 0.7rem;
  border: none;
  background-color: #1c90f5;
  border-radius: 30px;
  padding: 3.5%;
  width: 48%;
  transition-duration: 400ms;
}
button:hover{
  box-shadow: 0px 10px 25px rgba(28,144,245,0.8);
  transform: translateY(-5px);
  transform: scale(1.1);
}
#greyBackgorund:hover{
  box-shadow: 0px 10px 25px rgba(85,91,105,0.8);
}
#greyBackgorund{
  background-color:#555b69 ;
}
#credit{
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  color: white;
  padding: 1%;
}
#creditButton{
  padding: 3%;
  border-radius: 50px;
  border: white solid;
  transition-duration: 300ms;
}
#creditButton:hover{
  border: #1d9bf0 solid;
  background-color: #1d9bf0;
}
#creditText{
  min-width: 35%;
}


@media only screen and (max-width: 600px) {
  * {
    font-size: 30px;
  }
  nav{
    padding-top: 3%;
  }
  #logo{
    font-size: 0.8rem;
  }
  #logo::before{
    margin-right: 2%;
    width: 0.7rem;
    height: 0.7rem;
  }
  .navLinks{
    margin-left: 15%;
    color:white;
  }
  #description{
    width:90%;
    margin-top: 10%;
  }
  form{
    margin-top: 10%;
    width: 90%;
    min-height: 350px;
  }
  #credit{
    margin-top: 10%;
    min-width: 30%;
  }
  #creditText{
    font-size: 0.5rem;
    min-width: 60%;
  }
  #creditButton{
    font-size: 0.5rem;
  }
}

@media only screen and (max-width: 410px) {
  *{
    font-size: 20px;
  }
  form{
    margin-top: 10%;
    width: 90%;
    min-height: 290px;
  }
  #credit{
    margin-top: 8%;
  }
  #creditText{
    font-size: 0.6rem;
    min-width: 60%;
  }
  #creditButton{
    font-size: 0.6rem;
  }
}
